import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.InputStream;
import java.io.OutputStream;
import java.util.Arrays;

public class Copy {
  
  public static void bubble(double[] array) {
    for (int i = 0; i < array.length; i++) {
      for (int j = i; j < array.length; j++) {
        if (array[i] > array[j]) {
          double tmp = array[i];
          array[i] = array[j];
          array[j] = tmp;
        }
      }
    }
  }
  
  public static void copy(String ifName, String ofName) throws Exception {
    InputStream is = new FileInputStream(ifName);
    OutputStream os = new FileOutputStream(ofName);
    int b;
    while ((b = is.read()) != -1) {
      os.write(b);
    }
    os.close();
    is.close();
  }
  
  public static void main(String[] args) throws Exception {
    if (args.length != 2) {
      System.err.println("usage: java Copy ifName ofName");
      System.exit(1);
    }
    String ifName = args[0];
    String ofName = args[1];
    System.out.print("Copy of file " + ifName + " to " + ofName + " ...\t");
    copy(ifName, ofName);
    System.out.println("done!");
    
    double[] array = new double[]{8, 2, 9, 1, 4, 2, 0};
    System.out.println("Array: " + Arrays.toString(array));
    bubble(array);
    System.out.println("Sorted: " + Arrays.toString(array));
  }
}
